Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.ax25
Class Digipeater.TXIGatedStationStatus

    java.lang.Object
      org.ka2ddo.yaac.ax25.Digipeater.TXIGatedStationStatus

Enclosing class:
  Digipeater

    public static class Digipeater.TXIGatedStationStatus

extends java.lang.Object

Status of stations trying to RF-transmit through this station from the Internet.

Field Summary
`java.lang.String` | `lastMessageAddressee` The station callsign to which the last message was addressed.
`java.lang.String` | `senderCallsign` Callsign of Internet station trying to send.
`long` | `timeOfLastMessage` Timestamp in Unix milliseconds since 1970 the last time a Message was received from the sending station.
`long` | `timeOfLastPosition` Timestamp in Unix milliseconds since 1970 the last time a Position report of some sort was received from the sending station.

Constructor Summary
`Digipeater.TXIGatedStationStatus(java.lang.String senderCallsign, long timeOfLastMessage)` Create a TXIgatedStationStatus record.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### senderCallsign

    public java.lang.String senderCallsign

  Callsign of Internet station trying to send.

### timeOfLastMessage

    public long timeOfLastMessage

  Timestamp in Unix milliseconds since 1970 the last time a Message was received from the sending station.

### lastMessageAddressee

    public java.lang.String lastMessageAddressee

  The station callsign to which the last message was addressed.

### timeOfLastPosition

    public long timeOfLastPosition

  Timestamp in Unix milliseconds since 1970 the last time a Position report of some sort was received from the sending station.

Constructor Detail

### Digipeater.TXIGatedStationStatus

    public Digipeater.TXIGatedStationStatus(java.lang.String senderCallsign,
                                            long timeOfLastMessage)

  Create a TXIgatedStationStatus record.

  Parameters:
    `senderCallsign` - callsign of transmitting station
    `timeOfLastMessage` - time last message was sent, in Java milliseconds since Jan 1 1970 UTC

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD